﻿.contact-group {
    display: flex;
    flex-direction: column;
}

.contact-description {
    width: 100%;
    margin-bottom: 2rem;
}

.contact-entries {
    width: 100%;
}

@media (min-width: 768px) {
    .contact-group {
        flex-direction: row;
    }

    .contact-description {
        width: 25%;
        margin-bottom: 0;
    }

    .contact-entries {
        width: 75%;
    }
}

.contact-entry {
    margin-bottom: 1rem;
    border-bottom: 1px solid #3a3a3a;
}

    .contact-entry:has(> .department-info[aria-hidden="false"]) {
        padding-bottom: 1rem;
    }

.department-info > p:last-of-type {
    margin-bottom: 2rem;
}

.departmentInfoBtn {
    background: none;
    border: none;
    width: 100%;
    text-align: left;
    padding: 0;
    cursor: pointer;
    position: relative;
}

.department-info {
    overflow: hidden;
    max-height: 0;
    transition: max-height 0.25s ease-out;
}

.department-headline h3 {
    font-size: 19px;
    padding: 10px;
    padding-right: 0;
    padding-left: 0;
    margin-bottom: 10px;
}

.departmentInfoBtn svg {
    position: absolute;
    font-size: 18px;
    right: 0px;
    top: 12px;
    height: var(--arrowHeight);
    width: var(--arrowWidth);
    transition: var(--arrowTransition);
}

.departmentInfoBtn[aria-expanded="true"] .department-arrowDown {
    transform: rotate(180deg);
}

.contact-group:not(:last-of-type) {
    margin-bottom: 100px;
}

.row .contactGroups {
    padding-right: 0px;
    padding-left: 0px;
}

.departmentInfoBtn[aria-expanded="true"] .fa-angle-up {
    transform: rotate(0deg);
}

.departmentInfoBtn[aria-expanded="false"] .fa-angle-up {
    transform: rotate(180deg);
}
